import 'package:dio/dio.dart';
import 'package:flutter/material.dart';
import 'package:lori_sdk/data/api/sales/sales_catalog_api.dart';
import 'package:lori_sdk/data/api/sales/sales_marketing_api.dart';
import 'package:lori_sdk/data/api/sales/sales_search_api.dart';

class SalesApi {
//  final Dio _requester;

  final SalesCatalogApi catalog;
  final SalesSearchApi search;
  final SalesMarketingApi marketing;

  SalesApi({@required Dio requester}) :
//        this._requester = requester,
        this.catalog = SalesCatalogApi(requester: requester),
        this.search = SalesSearchApi(requester: requester),
        this.marketing = SalesMarketingApi(requester: requester);
}