import 'package:lori_sdk/data/database/cartDaoStub.dart'
// ignore: uri_does_not_exist // this will work on mobile but will not work on web
    if (dart.library.io) 'package:lori_sdk/data/database/mobile/mobileCartDao.dart'
// ignore: uri_does_not_exist // this will work on web but will not work on mobile
    if (dart.library.html) 'package:lori_sdk/data/database/web/webCartDao.dart';
import 'package:lori_sdk/data/models/cart/cart.dart';

abstract class CartDao {
  Future open() async {}

  // ignore: missing_return
  Future<Cart> get() async {}

  Future<void> insertOrUpdate(Cart cart) async {}

  Future<void> insert(Cart cart) async {}

  Future<void> update(Cart cart) async {}

  Future<void> deleteAll() async {}

  factory CartDao() => getCartDao();
}
