import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/product/opinionQuestion.dart';

part 'evaluationForm.g.dart';

@JsonSerializable()
class EvaluationForm {
  EvaluationForm();

  List<OpinionQuestion> questions;

  factory EvaluationForm.fromJson(Map<String, dynamic> json) =>
      _$EvaluationFormFromJson(json);

  Map<String, dynamic> toJson() => _$EvaluationFormToJson(this);
}
