import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/product/opinionQuestion.dart';

part 'opinionResponse.g.dart';

@JsonSerializable()
class OpinionResponse {
  OpinionResponse();

  static const int TYPE_STARS = 1;
  static const int TYPE_YES_NO = 2;
  static const int TYPE_TEXT = 3;

  String questionId;
  String response;
  int type;
  OpinionQuestion question;

  factory OpinionResponse.fromJson(Map<String, dynamic> json) =>
      _$OpinionResponseFromJson(json);

  Map<String, dynamic> toJson() => _$OpinionResponseToJson(this);
}
