import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/userAddress.dart';

part 'store.g.dart';

@JsonSerializable()
class Store {
  Store();

  String id;
  String name;
  String workingHours;
  String fullAddress;
  UserAddress address;
  double distance;

  // calculate later
  double storeDistance;

  factory Store.fromJson(Map<String, dynamic> json) => _$StoreFromJson(json);

  Map<String, dynamic> toJson() => _$StoreToJson(this);
}
